Page MenuHomePhabricator

Use formatversion=2 in ext.translate.messagetable
Closed, ResolvedPublic

Description

The currently used formatversion=1 might be removed in the future. Migrating to formatversion=2 brings benefits, such as utf8 mode by default, that will help to decrease bandwidth usage.

More information:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2017, 8:21 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFeb 22 2017, 8:22 AM
Nikerabbit triaged this task as Lowest priority.Feb 22 2017, 8:22 AM
Nikerabbit raised the priority of this task from Lowest to Low.
Omidfi added a subscriber: Omidfi.Sep 27 2017, 4:55 AM
Omidfi removed a subscriber: Omidfi.

Change 487817 had a related patch set uploaded (by Eugene233; owner: Eugene233):
[mediawiki/extensions/Translate@master] Use formatversion=2 in ext.translate.messagetable

https://gerrit.wikimedia.org/r/487817

abi_ added a subscriber: abi_.

Adding this to the Language board, since I reviewed / tested an existing patch, and tweaked it a little bit.

abi_ added a comment.Dec 17 2019, 12:47 PM

Did some general testing. Here are the things that I tested,

As an admin on Special:Translate,

  1. Display translations
  2. Change projects
  3. Change filter - All, Translated, Outdated etc
  4. Checked to ensure validators were working properly
  5. Edited and saved documentation (qqq)
  6. Filtering via searching
  7. Show / hide of optional messages.

As a normal translator on Special:Translate,

  1. Cannot save translations that have syntax errors.

Also tested the Special:TranslationStash page, ensured that the users are able to save the translations properly.

abi_ added a subscriber: Jpita.Dec 17 2019, 1:27 PM

@Jpita - We'd like you to double check this change to ensure that everything is working as expected. The Mediawiki API can return JSON data in different formats which you can read about here.

The submitted patch changes the expected JSON format to version 2 when fetching translations to be displayed on Special:Translate and Special:TranslationStash page.

We can use the MLEB instance for this testing - https://language-translate.wmflabs.org/index.php/Main_Page. I'll send you the credentials over PM.

  • You can access the Special:Translate page here. You can create a new page, mark it for translation and then start translating.
  • You can access the Special:TranslationStash page here. You should register as a new translator here to gain access to that page.

We expect this change to be deployed there on 19 Dec, 2019. I'll move this task to Needs QA at that time.

abi_ claimed this task.Dec 19 2019, 6:19 AM
abi_ added a subscriber: Eugene233.

Claiming this, since I'm now working on this. @Eugene233, thanks for your initial patch.

@abi_ please go ahead.

Change 487817 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use formatversion=2 in ext.translate.messagetable

https://gerrit.wikimedia.org/r/487817

abi_ closed this task as Resolved.Jan 13 2020, 2:39 AM
abi_ moved this task from Needs QA to Done on the Language-Team (Language-2020-January-March) board.

Marking this as resolved since this has been deployed on Mediawiki since the 7th of January, and has not received any bug reported.